> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a price to a Product

> ## Add a price to a Product ##

<p>
Adds a price to the Product based on the JSON array of data provided.
</p>

## Response ##
**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>productPricesDetailsId</td><td>n</td><td>Integer</td><td>ID of the newly created Product Prices Detail.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json post /{supplierapi}/product/{productId}/price
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}/price:
    post:
      tags:
        - Version 1
        - Product Prices
      summary: Add a price to a Product
      description: |-
        ## Add a price to a Product ##

        <p>
        Adds a price to the Product based on the JSON array of data provided.
        </p>

        ## Response ##
        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>productPricesDetailsId</td><td>n</td><td>Integer</td><td>ID of the newly created Product Prices Detail.</td>
                 </tr>
             </tbody>
         </table>
      operationId: post_api_product_productprice_addprice
      parameters:
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
        - name: productId
          in: path
          required: true
          schema:
            type: string
            pattern: \d+
      requestBody:
        description: Add price details for a product.
        required: true
        content:
          application/json:
            schema:
              required:
                - fareName
                - fareTypeCategoryId
                - currency
                - pax
                - duration
                - periodStart
                - rrp
                - netRate
                - levy
              properties:
                agents:
                  description: Ids of the agents that have access to this price.
                  type: array
                  items:
                    type: integer
                allowEmptyRedeemerDetails:
                  description: Allow empty redeemer details.
                  type: boolean
                allowOpenDated:
                  description: Allow open dated bookings.
                  type: boolean
                bookingSystemMapping:
                  description: >-
                    Fields used to map product to an external reservation
                    system.
                  type: array
                  items:
                    type: string
                cancellationFeePolicyId:
                  description: ID of product's cancellation fee policy.
                  type: integer
                childMaxAge:
                  description: Maximum age for children to be eligible.
                  type: integer
                childMinAge:
                  description: Minimum age for children to be eligible.
                  type: integer
                defaultFare:
                  description: Is this the default fare for the Product?
                  type: boolean
                duration:
                  description: Duration of the tour in days.
                  type: integer
                durationNights:
                  description: Duration of the tour in nights.
                  type: integer
                earlyBirdLeadDays:
                  description: Lead time that fare must be booked in advance.
                  type: integer
                fareName:
                  description: Name of the Fare Type.
                  type: string
                fareQtyRestrictions:
                  description: Total quantity this fare that agents must select.
                  type: integer
                fareTypeCategoryId:
                  description: ID of Fare Type Category.
                  type: integer
                levy:
                  description: Any levy charged on top of RRP at point of travel.
                  type: number
                  format: float
                levyDescription:
                  description: Description of levy.
                  type: string
                netRate:
                  description: Net or wholesale price.
                  type: number
                  format: float
                note:
                  description: Any special comments made by Supplier.
                  type: string
                numAdults:
                  description: Number of adults who are eligible to travel on this fare.
                  type: integer
                numChildren:
                  description: Number of children who are eligible to travel on this fare.
                  type: integer
                pax:
                  description: Number of people the price covers.
                  type: integer
                periodEnd:
                  description: End date of the active period.
                  type: string
                  format: date
                periodStart:
                  description: Start date of the active period.
                  type: string
                  format: date
                packageOnlyFare:
                  description: Is this a Package only fare?
                  type: boolean
                rrp:
                  description: Recommended retail price.
                  type: number
                  format: float
                travelEnd:
                  description: End date of the travel period.
                  type: string
                  format: date
                travelStart:
                  description: Start date of the travel period.
                  type: string
                  format: date
                currency:
                  description: ISO 4217 currency code.
                  type: string
                fareTagIds:
                  description: >-
                    IDs of Fare Tag as array. Get ID of Fare Tag using
                    /categories/faretags
                  type: array
                  items:
                    type: integer
              type: object
      responses:
        '201':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.